Subject: Re: [patch v4 0/4] Cypress c67x00 (EZ-Host/EZ-OTG) support

From: David Brownell <[email-masked]>
Date: Wed, 23 Jan 2008 09:53:05 -0800

On Wednesday 23 January 2008, Grant Likely wrote:
> The question is about the device structure which used to be provided
> by the platform device instances and now there just uses the c67x00's
> device struct.  I was under the impression that each USB HCD needs to
> have it's own struct device.  I take it that's not true?

Each root hub necessarily is a unique device, representing a set
of downstream links.  Unless Peter didn't test something relevant,
it would seem we have observational proof that two root hubs can
share the same device node for an upstream link.

I can't think of a reason to demand multiple upstream links, though
sharing them between root hubs like that isn't a common structure.  

- Dave